> For the complete documentation index, see [llms.txt](https://developer.aiodds.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.aiodds.com/bookmaker-odds/websocket/settlement.md).

# Settlement

**Topic:**

{% code expandable="true" %}

```
topic: settlement/<user>
```

{% endcode %}

**Return data structure:**

{% code expandable="true" %}

```protobuf
syntax = "proto3";
package aiodds;
message OutcomeSettlement {
  uint32 id = 1; // outcome id
  string name = 2; // outcome name
  string line = 3; // betting line value
  uint32 result = 4; // settlement result, 0-Unsettled, 1-Won, 2-Lost, 3-Undecided, 4-Refund
  float void_factor = 5; // settlement result factor, 0-Full, 0.5-Half
}
message MarketSettlements {
  uint32 market_id = 1; // market_id
  map<uint32, OutcomeSettlement> settlements = 2; // market settlements
}
message Settlement {
  uint32 sport_id = 1;
  uint32 match_id = 2;
  repeated MarketSettlements market_settlements = 3;
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.aiodds.com/bookmaker-odds/websocket/settlement.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
